Subject: bug#37989: python2-numpy v0.17.3 fails to build

From: Konrad Hinsen <[email-masked]>
Date: Wed, 30 Oct 2019 14:23:41 +0100

Hi Josh,
> Lots of packages including libreoffice transitively depend on
> python2-numpy, so this needs some sort of resolution — perhaps simply
> pinning python2-numpy to a previous version?

That would be my preferred solution - pin python2-numpy to the last 
NumPy version that supports Python 2, which is most likely 1.16.

> However, Python 2 will not
> be maintained after the end of 2019, and I'm not sure if there is an
> overall Guix-wide migration plan for python2-* packages.

Not that I know, but no matter how this will be handled, Guix is the 
perfect platform for people still depending on Python 2 because they can 
always install packages from an earlier release. Which is a good reason 
to end Python 2 support in Guix by an as up to date package set as possible.

Cheers.

   Konrad.